{
  pkgs,
  ...
}:
{
  home-manager.users.kalle = {
    programs.neovim = {
      enable = true;

      viAlias = true;
      vimAlias = true;
      vimdiffAlias = true;

      extraPackages = with pkgs; [
        nodejs_22 # Required for copilot-vim
        ripgrep # Required for telescope
        wl-clipboard # Required for clipboard sync

        # Language servers
        clang-tools
        lua-language-server
        nodePackages.typescript-language-server
        nodePackages."@astrojs/language-server"
        typescript
        tailwindcss-language-server
        gopls
        vhdl-ls
        nixd
        nixfmt-rfc-style
      ];
    };

    xdg.configFile.nvim = {
      source = ./config;
      recursive = true;
    };
  };
}
